%global src_name gnome_shell___ubuntu_ambiance_by_half_left-d3h6ouv.zip
%global theme_name ubuntu-ambiance
%global theme Ubuntu-Ambience


Name:           gnome-shell-theme-%{theme_name}
Version:        1.0
Release:        1%{?dist}
Summary:   	    The %{theme} gnome-shell theme  
Group:          User Interface/Desktops     

License:        GPLv3
URL:            http://half-left.deviantart.com/art/GNOME-Shell-Ubuntu-Ambience-210264151
Source0:        http://www.deviantart.com/download/210264151/%{src_name}

Requires:       gnome-shell-extensions-user-theme
Requires:       gnome-shell >= 3.0.1
BuildArch:      noarch

%description
The %{theme} gnome-shell theme created by half_left

%prep
%setup -q -c 
unzip gs-%{theme_name}-light.zip
unzip gs-%{theme_name}-dark.zip
unzip gs-%{theme_name}-dark-purple.zip


%install
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-light/gnome-shell
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-dark/gnome-shell
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-dark-purple/gnome-shell

# put the theme files into some data dir
cp -r gs-%{theme_name}-light/* $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-light/.
cp -r gs-%{theme_name}-dark/* $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-dark/.
cp -r gs-%{theme_name}-dark-purple/* $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}-dark-purple/.

# delete backup files (*~)
find $RPM_BUILD_ROOT -name *~ -type f -print | xargs /bin/rm -f

# remove LICENSE from BUILDROOT
find $RPM_BUILD_ROOT -name LICENSE -type f -print | xargs /bin/rm -f


%files
%doc gs-%{theme_name}-light/gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme}-dark-purple
%dir %{_datadir}/themes/%{theme}-dark
%dir %{_datadir}/themes/%{theme}-light
%{_datadir}/themes/%{theme}-dark-purple/*
%{_datadir}/themes/%{theme}-dark/*
%{_datadir}/themes/%{theme}-light/*


%changelog
* Thu Jun 09 2011 Tim Lauridsen <timlau@fedoraproject.org> 1.0
- initial rpm build
